Subject: bug#78953: 31.0.50; tab-bar-format-align-right alignment breaks if field widths change

From: Stéphane Marks <[email-masked]>
Date: Fri, 11 Jul 2025 17:03:06 -0400

On Fri, Jul 11, 2025 at 3:03 PM Eli Zaretskii <[email-masked]> wrote:

> > Cc: Daniel Mendler <[email-masked]>, [email-masked]
> > From: Stéphane Marks <[email-masked]>
> > Date: Fri, 11 Jul 2025 12:18:22 -0400
> >
> > On Fri, Jul 11, 2025 at 12:14 PM Juri Linkov <[email-masked]> wrote:
> >
> >  > But I understand that disabling the overall wrap around is more
> >  > difficult since it has to be implement on a deeper level of the
> >  > display engine.
> >
> >  Indeed, the required change is on a deeper level of the display engine,
> >  but it's quite simple like in the attached patch.  I wonder is it
> >  appropriate to reuse the existing option 'auto-resize-tab-bars'
> >  whose new value 'truncate' will force tab-bar truncation:
> >
> > I'd think maybe it should insert an ellipsis, or some other indicator,
> that truncation has been done.
>
> No, we don't produce any such indications in special screen lines,
> like mode line. menu bar, etc.  So I don't see why we would need that
> here.
>

I suppose since the user would enable this explicitly, and if the
documentation says it truncates without saying that an indicator is shown,
users get what they ask for.  I'd thought it would be nice as a visual
courtesy akin to truncate-line indicators.